<?php 
//-----------------------------------------------------------------------------
//    ID002同学录 单班级 (PHP & MySQL) 1.0 标准版
//-----------------------------------------------------------------------------
//    Copyright(C) aNErG, 2003. All rights reserved
//
//    技术支持 http://anerg.126.com
//-----------------------------------------------------------------------------
//    本软件对个人完全免费使用
//
//    如用于商业用途,您必须与我联系并支付RMB ￥20
//-----------------------------------------------------------------------------
include ('conn.php') ;?>
<?php require('function.php'); ?>
<?php 
$username=$HTTP_COOKIE_VARS["class_username"];
$password=$HTTP_COOKIE_VARS["class_userpwd"];
$classmsg=$HTTP_POST_VARS["classmsg"];
$imgsrc=$HTTP_POST_VARS["imgsrc"];
if($imgsrc=="http://相关图片地址" || $imgsrc==""){
$imgsrc=NULL;
}else{
$imgsrc=checkinfo($imgsrc);
$image="<br><img src=$imgsrc>";}
if($classmsg==""){
echo "<div align='center'>留言内容不能为空！</div>";}
else{
$msgtime=date("y-m-j H:i:U");
$classmsg=checkinfo($classmsg);
$classmsg.=$image;
$query="INSERT INTO classmsg VALUES('','$classmsg','$username','$msgtime')";
$result=mysql_db_query("$dbname",$query);
if(mysql_affected_rows()==1){
echo "<div align='center'>你的留言已发表！</div>";}
else{
echo "<div align='center'>有错误！留言不成功！</div>";}
}?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>发表留言</title>
<meta http-equiv=Refresh content="2; url=index.php">
<link href="css.css" rel="stylesheet" type="text/css">
</head>

<body>

</body>
</html>
